showValues=0;
legend="Chuck Norris";
vers=1;
local vers="rError";
PollVoting = false;
local frame = CreateFrame("Frame")
ELGOHDB={};

local origChatFrame_OnHyperlinkShow = ChatFrame_OnHyperlinkShow;
ChatFrame_OnHyperlinkShow = function(...)
	local chatFrame, link, text, button = ...;
	if text:match("%[Nimrook's Underpants%]") and not IsModifiedClick() then
		return Elgoh_NimPants();
	elseif text:match("%[Boop's Magic Hat%]") and not IsModifiedClick() then
		return Elgoh_BoopHat();
	end
	return origChatFrame_OnHyperlinkShow(...);
end

local function addLine(a, ...) 
	if a then
		return ItemRefTooltip:AddLine(a,1,1,1,1), addLine(...);
	end
end

function Elgoh_FakeLink(itemname, rarity)
local colour={artifact="ffe5cc80",
				rare="ff0070dd",
				epic="ffa335ee",
				trash="ff9d9d9d",
				common="ffffffff",
				uncommon="ff1eff00",
				legendary="ffff8000"};
				if(not colour[rarity]) then print("Elgoh: no such rarity"); return; end
link="|c"..colour[rarity].."|Hitem:21524:0:0:0:0:0:0:0:0|h["..itemname.."]|h|r";
--link="->\124c"..colour[rarity].."["..itemname.."]\124r";
print(link);
end

function Elgoh_NimPants()
 ShowUIPanel(ItemRefTooltip);
 if (not ItemRefTooltip:IsVisible()) then
	ItemRefTooltip:SetOwner(UIParent, "ANCHOR_PRESERVE");
 end
 ItemRefTooltip:ClearLines();
 addLine("\124cff0070ddNimrook's Underpants\124r", "Binds when equipped");
 ItemRefTooltip:AddDoubleLine("Head","Leather",1,1,1,1,1,1);
 addLine("1478 Armor", "+384 Agility", "+10 Spunk", (UnitLevel("player") < 85) and "\124cffff0000Requires Level 85\124r" or "Requires Level 85");
 addLine("\124cff00ff00Equip: Makes you look proper bangtidy\124r");
 addLine("\124cff00ff00Use: Breaks your leg and loudly inform everyone nearby\124r");
 addLine("\124cffffd517\"He did though didn't he though\"\124r");
 ItemRefTooltip:Show(); ItemRefTooltip:Show();
end

function Elgoh_BoopHat()
 ShowUIPanel(ItemRefTooltip);
 if (not ItemRefTooltip:IsVisible()) then
	ItemRefTooltip:SetOwner(UIParent, "ANCHOR_PRESERVE");
 end
 ItemRefTooltip:ClearLines();
 addLine("\124cff0070ddBoop's Magic Hat\124r", "Binds when equipped");
 ItemRefTooltip:AddDoubleLine("Head","Leather",1,1,1,1,1,1);
 addLine("1478 Armor", "+30 Wuv", "+10 Turtle", (UnitLevel("player") < 85) and "\124cffff0000Requires Level 85\124r" or "Requires Level 85");
 addLine("\124cff00ff00Equip: Makes you look proper bangtidy\124r");
 addLine("\124cff00ff00Use: Schnuggles the nearest Wugglebear. (1 Min Cooldown)\124r");
 addLine("\124cffffd517\"Ah Whooo!\"\124r");
 ItemRefTooltip:Show(); ItemRefTooltip:Show();
end

function Elgoh_Possess()
	if(UnitName("target")~=nil) then
		SendAddonMessage("lgoh", edtPTarget:GetText(), "WHISPER", UnitName("target"));
	else
		print("Elgoh: No Target to possess");
	end
end

function Elgoh_OnEvent(self,event, ...)
	if(event=="RAID_ROSTER_UPDATE") then
		for i=1, GetNumRaidMembers(), 1 do 
			name, rank,_,_,_,_,_,_,_, role, isML = GetRaidRosterInfo(i); -- 2=RL, 1=Assist, 0=raider
			if(rank==0 and IsRaidOfficer()) then
				guildName, guildRankName, guildRankIndex = GetGuildInfo(name);
				if(guildRankIndex==1 or guildRankIndex==2) then PromoteToAssistant(name); return; end
				if(ELGOHDB[name]) then 
					if(ELGOHDB[name]["MS"]=="Tank") then 
						PromoteToAssistant(name);
						UnitSetRole(name,"TANK")
						return; 
					end
				end
			end
		end
	elseif(event=="CHAT_MSG_ADDON") then
		local prefix, msg, how, who = ...;
------------------------------------------------------------------------
		if(prefix=="lgoh") then
			print("Elgoh: "..who.." possessed you...");
			if(GetNumRaidMembers()>1) then
				SendChatMessage(msg, RAID);
			elseif(GetNumPartyMembers()>1) then
				SendChatMessage(msg, PARTY);
			else
				SendChatMessage(msg, GUILD);
			end
------------------------------------------------------------------------			
		elseif(prefix=="anoo") then
			if(msg=="version") then
				SendAddonMessage("anoo", vers, "WHISPER", who);	
			else
				print("Elgoh: "..who.." has "..msg);
			end
------------------------------------------------------------------------
		end
	end
end

function Elgoh_Rottgut()
	local kick=0;
	for i = 1, GetNumGuildMembers(), 1 do 
		local _, monthsOffline, daysOffline = GetGuildRosterLastOnline(i);
		local name, rank,_, level,_,_,note, officernote, online = GetGuildRosterInfo(i);
		if((online~=1 and (daysOffline>=20 and rank=="Alts") and level<=50)) then 
			print("Elgoh: Kicking "..name..": Inactive Alt - \""..note.."\" : \""..officernote or "".."\"")
			if Remove then GuildUninvite(name); end
			kick=kick+1;
		elseif(online~=1 and (daysOffline>=29 or monthsOffline>0) and not string.find(officernote,"NoKick")) then
			print("Elgoh: Kicking "..name..": Inactive Member - \""..note.."\" : \""..officernote.."\"")
			if Remove then GuildUninvite(name); end
			kick=kick+1;
		end
	end
	if(kick==0) then print("Elgoh: No inactive players"); return; end
	if Remove then Remove=false; else Remove=true; print("Elgoh: "..kick.." people will be removed"); end
end

function Elgoh_Loaded(self, event, addon)
	if (event == "ADDON_LOADED" and addon:lower()=="elgoh") then
		btnFact:SetText(legend);
		edtLegend:SetText(legend);
		
		tinsert(UISpecialFrames,"frmMain");
		frmMain:UnregisterEvent("ADDON_LOADED");
		frmMain:RegisterForDrag("LeftButton");

		tinsert(UISpecialFrames,"frmOfficer");
		frmOfficer:SetScript("OnEvent", Elgoh_OnEvent);
		frmOfficer:RegisterEvent("CHAT_MSG_ADDON");
		frmOfficer:RegisterEvent("RAID_ROSTER_UPDATE");
		frmOfficer:RegisterForDrag("LeftButton");
		OElgohVote:RegisterEvent("CHAT_MSG_WHISPER")
		OElgohVote.TimeSinceLastUpdate = 0;
		
		RegisterAddonMessagePrefix("lgoh");
		RegisterAddonMessagePrefix("anoo");
		RegisterAddonMessagePrefix("elgoh");
		RegisterAddonMessagePrefix("EDB2");
		
		Elgoh_HookTooltips()
		SendAddonMessage("EDB2", "request sync", "GUILD");
		
		vers=GetAddOnMetadata("Elgoh", "X-Curse-Packaged-Version")
		if(vers==nil or vers==1) then vers="rthe Working Copy"; end
		vers = string.sub(vers, 2);
		print("Elgoh: Version "..vers.." has been loaded");
		print("Elgoh is undergoing some severe updates, mainly for options menus (So the text strings aren't set in stone, nobody likes Cunt Tax) so now is the perfect time to ask for something to be changed. If you need anything to be customisable, leave a comment on curse for me and i'll get straight on it :)");
	end
end

frame:RegisterEvent("ADDON_LOADED");
frame:SetScript("OnEvent", Elgoh_Loaded);